Table of Contents

## Name

AuSoundPlayFromBucket - create a flow to play from a bucket.

## Synopsis

#include <audio/audiolib.h>
#include <audio/soundlib.h>

AuEventHandlerRec *AuSoundPlayFromBucket(server, source, destination, volume, callback, callback_data, loop_count, flow, volume_mult_elem, monitor_element, status)
AuServer *server;
AuBucketID source;
AuDeviceID destination;
AuFixedPoint volume;
void (*callback) (AuServer *, AuEventHandlerRec *, AuEvent *, AuPointer);
AuPointer callback_data;
int loop_count;
AuFlowID *flow; /* RETURN */
int *volume_mult_elem; /* RETURN */
int *monitor_element; /* RETURN */
AuStatus *status; /* RETURN */

## Arguments

server
  Specifies the connection to the audio server.
source
  Specifies the bucket to play.
destination
  Specifies the device to output the audio data.
volume
  Specifies the volume.
callback
  Specifies the procedure to be called for additional event processing.
callback_data
  Specifies any additional arguments to be passed to the callback.
loop_count
  Specifies how many time the bucket should be played.
flow
  If non-NULL, returns the flow ID.
volume_mult_elem
  If non-NULL, returns the index of the volume multipler element.
monitor_element
  If non-NULL, include an ExportMonitor element in the flow and return it's index.
status
  If non-NULL, flush the output buffer and return the status from the server.

## Description

AuSoundPlayFromBucket creates a flow to play bucket on device and returns a pointer to the event handler created or NULL if there was an error.

## Errors

AuBadBucket, AuBadDevice.

## See Also

AuSoundPlay, AuSoundPlayFromData, AuSoundPlayFromFile, AuSoundPlaySynchronousFromFile.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- Errors
- See Also